Suggestion::SuggestionException Class Reference

`#include <suggestion.h>`

Inheritance diagram for Suggestion::SuggestionException:
Collaboration diagram for Suggestion::SuggestionException:

## Public Member Functions

| SuggestionException (presage_error_code_t code, const std::string &msg) throw ()
virtual | ~SuggestionException () throw ()
Public Member Functions inherited from PresageException
| PresageException (presage_error_code_t code, const std::string &msg) throw ()
virtual | ~PresageException () throw ()
virtual const char * | what () const throw ()
virtual const presage_error_code_t | code () const throw ()

## Private Member Functions

| SuggestionException () throw ()

## Detailed Description

Definition at line 91 of file suggestion.h.

## Constructor & Destructor Documentation

## SuggestionException() [1/2]

Suggestion::SuggestionException::SuggestionException | ( | presage_error_code_t | code,
|  | const std::string & | msg
| ) |  |
throw | ( |
| ) |  |

inline

Definition at line 93 of file suggestion.h.

## ~SuggestionException()

virtual Suggestion::SuggestionException::~SuggestionException | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 94 of file suggestion.h.

## SuggestionException() [2/2]

Suggestion::SuggestionException::SuggestionException | ( |  | ) |
throw | ( |
| ) |  |

inline private

Definition at line 97 of file suggestion.h.

The documentation for this class was generated from the following file:

- /build/presage-F72hLE/presage-0.9.1/src/lib/core/suggestion.h